WordPress.org

Support

Support » Plugins and Hacks » Simple Fields » [Resolved] [Plugin: Simple Fields] Conflict with WP eMember plugin (inc. suggested fix)

[Resolved] [Plugin: Simple Fields] Conflict with WP eMember plugin (inc. suggested fix)

  • Hi,

    Great plugin. Just wanted to point out a conflict I found with this plugin and WP eMember (http://wp.me/pmEqq-rw). I’m not sure if the problem lies with Simple Fields or eMember, but thought I should post this here in case it is a Simple Fields problem.

    The conflict appears to be with the ‘jquery-ui-effects-core’ script which is queued in simple_fields_admin_init(). With the current version of the plugin, it was queuing version 1.7.3 of this script. This prevented the content protection options in WP eMember from working correctly. If I change Simple Fields to use the latest version of this jQuery file, it works fine.

    So to fix the conflict, I changed line 65 in simple_fields.php to:

    wp_enqueue_script("jquery-ui-effects-core", "$http://jquery-ui.googlecode.com/svn/tags/latest/ui/jquery.effects.core.js");

    Thanks

    http://wordpress.org/extend/plugins/simple-fields/

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] [Plugin: Simple Fields] Conflict with WP eMember plugin (inc. suggested fix)’ is closed to new replies.
Skip to toolbar